<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
ini_set('memory_limit', '256M');
error_reporting(E_ALL);

// creer les constantes principales 
define("CHEMIN",__DIR__."/");
define("APP",CHEMIN."app/");
include(APP."starter.php");

// creer l'url
if (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on'){
    $link = "https://".$_SERVER['HTTP_HOST'].preg_replace("/\?.*$/","",$_SERVER["REQUEST_URI"]);
} else {
    $link = "http://".$_SERVER['HTTP_HOST'].preg_replace("/\?.*$/","",$_SERVER["REQUEST_URI"]);
}
define("URL",$link);

// déployer le site si c'est une fresh install
deployerAppIfNotYet();

// demande d'affichage d'une page spéciale
if(isset($_GET['template'])){
    $template=$_GET['template'];
    if(file_exists($template)){
        include($template);
    } else {
        echo "Page de template inexistante";
        die();
    }
} else {
    /* 
charger les fichiers de base
contrôler qu'un fichier n'existe pas dans config
*/
    $loadfiles=array(
        "code-header.php",
        "code-pageheader.php",
        "page-main.php",
        "page-viewer.php",
        "code-footer.php"
    );
    foreach($loadfiles as $file){
        include(getSnippetFile($file));
    }
} 
?> 